## user_create

### Use

Immediately after a database instance has been created, there is one DBM operator only (the first DBM operator) and the database system administrator. To create further DBM operators for this database instance, you need to use the DBM command described below. This defines the operator name and password. The new operator you have created does not have any server authorizations so far however. You need to assign these explicitly to the operator (see: user_put).

Alternatively, when creating the operator, you can specify an existing DBM operator from which you copy all DBM operator properties except name and password.

See Conventions for User Names and Passwords. The database system automatically converts user names and passwords for DBM operators into upper-case letters.

See also:

Database Administration Tutorial, Creating DBM Operators

Concepts of the Database System, Database Manager Operator (DBM Operator)

### Prerequisites

You have the server authorization UserMgm.

### Syntax

user_create <dbm_operator>,<dbm_operator_password> [<template_user>]

Options

Option | Description
<dbm_operator> | Name of the DBM operator to be created
<dbm_operator_password> | Password of DBM operator to be created
<template_user> | DBM operator whose operator properties should be copied

### Reply

OK

In the event of errors, see Reply Format.

### Example

Call the Database Manager CLI, log on as operator OLEG with password MONDAY, connect to the database instance DEMODB, create the Database Manager operator ELENA with password SUNDAY and the authorizations of Database Manager operator OLEG:

>dbmcli –u OLEG,MONDAY –d DEMODB user_create ELENA,SUNDAY OLEG

OK